Show / Hide Table of Contents

# AsyncUnityEventHandler<T> Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public class AsyncUnityEventHandler<T> : IUniTaskSource<T>, IUniTaskSource, IValueTaskSource, IValueTaskSource<T>, IAsyncValueChangedEventHandler<T>, IAsyncEndEditEventHandler<T>, IAsyncEndTextSelectionEventHandler<T>, IAsyncTextSelectionEventHandler<T>, IAsyncDeselectEventHandler<T>, IAsyncSelectEventHandler<T>, IAsyncSubmitEventHandler<T>, IDisposable

##### Inheritance

System.Object → AsyncUnityEventHandler<T>

##### Implements

IUniTaskSource<T>
IUniTaskSource
System.Threading.Tasks.Sources.IValueTaskSource
System.Threading.Tasks.Sources.IValueTaskSource<T>
IAsyncValueChangedEventHandler<T>
IAsyncEndEditEventHandler<T>
IAsyncEndTextSelectionEventHandler<T>
IAsyncTextSelectionEventHandler<T>
IAsyncDeselectEventHandler<T>
IAsyncSelectEventHandler<T>
IAsyncSubmitEventHandler<T>
System.IDisposable

#### Type Parameters

`T`

### Members

#### Constructors

Name | Description
--- | ---
AsyncUnityEventHandler(UnityEvent<T>, CancellationToken, Boolean) |

#### Methods

Name | Description
--- | ---
Dispose() |
OnInvokeAsync() |

#### Explicit Interface Implementations

Name | Description
--- | ---
IAsyncDeselectEventHandler<T>.OnDeselectAsync() |
IAsyncEndEditEventHandler<T>.OnEndEditAsync() |
IAsyncEndTextSelectionEventHandler<T>.OnEndTextSelectionAsync() |
IAsyncSelectEventHandler<T>.OnSelectAsync() |
IAsyncSubmitEventHandler<T>.OnSubmitAsync() |
IAsyncTextSelectionEventHandler<T>.OnTextSelectionAsync() |
IAsyncValueChangedEventHandler<T>.OnValueChangedAsync() |
IUniTaskSource.GetResult(Int16) |
IUniTaskSource.GetStatus(Int16) |
IUniTaskSource.OnCompleted(Action<Object>, Object, Int16) |
IUniTaskSource.UnsafeGetStatus() |
IUniTaskSource<T>.GetResult(Int16) |

### Constructors

#### AsyncUnityEventHandler(UnityEvent<T>, CancellationToken, Boolean)

    public AsyncUnityEventHandler(UnityEvent<T> unityEvent, CancellationToken cancellationToken, bool callOnce)

##### Parameters

`unityEvent` UnityEvent<T>
`cancellationToken` CancellationToken
`callOnce` System.Boolean

### Methods

#### Dispose()

    public void Dispose()

#### OnInvokeAsync()

    public UniTask<T> OnInvokeAsync()

##### Returns

UniTask<T>

### Explicit Interface Implementations

#### IAsyncDeselectEventHandler<T>.OnDeselectAsync()

    UniTask<T> IAsyncDeselectEventHandler<T>.OnDeselectAsync()

##### Returns

UniTask<T>

#### IAsyncEndEditEventHandler<T>.OnEndEditAsync()

    UniTask<T> IAsyncEndEditEventHandler<T>.OnEndEditAsync()

##### Returns

UniTask<T>

#### IAsyncEndTextSelectionEventHandler<T>.OnEndTextSelectionAsync()

    UniTask<T> IAsyncEndTextSelectionEventHandler<T>.OnEndTextSelectionAsync()

##### Returns

UniTask<T>

#### IAsyncSelectEventHandler<T>.OnSelectAsync()

    UniTask<T> IAsyncSelectEventHandler<T>.OnSelectAsync()

##### Returns

UniTask<T>

#### IAsyncSubmitEventHandler<T>.OnSubmitAsync()

    UniTask<T> IAsyncSubmitEventHandler<T>.OnSubmitAsync()

##### Returns

UniTask<T>

#### IAsyncTextSelectionEventHandler<T>.OnTextSelectionAsync()

    UniTask<T> IAsyncTextSelectionEventHandler<T>.OnTextSelectionAsync()

##### Returns

UniTask<T>

#### IAsyncValueChangedEventHandler<T>.OnValueChangedAsync()

    UniTask<T> IAsyncValueChangedEventHandler<T>.OnValueChangedAsync()

##### Returns

UniTask<T>

#### IUniTaskSource.GetResult(Int16)

    void IUniTaskSource.GetResult(short token)

##### Parameters

`token` System.Int16

#### IUniTaskSource.GetStatus(Int16)

    UniTaskStatus IUniTaskSource.GetStatus(short token)

##### Parameters

`token` System.Int16

##### Returns

UniTaskStatus

#### IUniTaskSource.OnCompleted(Action<Object>, Object, Int16)

    void IUniTaskSource.OnCompleted(Action<object> continuation, object state, short token)

##### Parameters

`continuation` System.Action<System.Object>
`state` System.Object
`token` System.Int16

#### IUniTaskSource.UnsafeGetStatus()

    UniTaskStatus IUniTaskSource.UnsafeGetStatus()

##### Returns

UniTaskStatus

#### IUniTaskSource<T>.GetResult(Int16)

    T IUniTaskSource<T>.GetResult(short token)

##### Parameters

`token` System.Int16

##### Returns

T

### Implements

IUniTaskSource<T>
IUniTaskSource
System.Threading.Tasks.Sources.IValueTaskSource
System.Threading.Tasks.Sources.IValueTaskSource<TResult>
IAsyncValueChangedEventHandler<T>
IAsyncEndEditEventHandler<T>
IAsyncEndTextSelectionEventHandler<T>
IAsyncTextSelectionEventHandler<T>
IAsyncDeselectEventHandler<T>
IAsyncSelectEventHandler<T>
IAsyncSubmitEventHandler<T>
System.IDisposable